Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1352465 - Python PMAPI pmWhichZone crashes Python
Python PMAPI pmWhichZone crashes Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pcp-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-04 04:40 EDT by Marko Myllynen
Modified: 2018-02-27 12:21 EST (History)
6 users (show)

See Also:
Fixed In Version: pcp-4.0.0-2.fc26 pcp-4.0.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-27 11:55:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2016-07-04 04:40:44 EDT
Description of problem:
$ cat ./test.py 
#!/usr/bin/env python

import sys
from pcp import pmapi

options = pmapi.pmOptions("h:z")
options.pmSetLongOptionHost()
options.pmSetLongOptionHostZone()

ctx = pmapi.pmContext.fromOptions(options, sys.argv)
print(ctx.pmWhichZone())
print(ctx.pmWhichZone())
$ python ./test.py
Traceback (most recent call last):
  File "./test.py", line 11, in <module>
    print(ctx.pmWhichZone())
  File ".../site-packages/pcp/pmapi.py", line 1735, in pmWhichZone
    raise pmErr(status)
pcp.pmapi.pmErr: Operation not permitted
$ python ./test.py -h localhost -z
EEST-3
*** Error in `python': double free or corruption (fasttop): 0x000000000080f460 ***
[...]
Comment 1 Fedora End Of Life 2017-07-25 17:34:05 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Jan Kurik 2017-08-15 04:29:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Nathan Scott 2017-10-02 00:16:31 EDT
Marko fixed this in upstream PCP commit 2d772a0798d985, will be in pcp-3.12.2
Comment 4 Fedora Update System 2018-02-15 23:47:28 EST
pcp-4.0.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d50796a5d
Comment 5 Fedora Update System 2018-02-15 23:47:59 EST
pcp-4.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a78dc89ec
Comment 6 Fedora Update System 2018-02-16 10:58:37 EST
pcp-4.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a78dc89ec
Comment 7 Fedora Update System 2018-02-16 11:28:29 EST
pcp-4.0.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d50796a5d
Comment 8 Fedora Update System 2018-02-19 16:40:25 EST
pcp-4.0.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-84c14418ef
Comment 9 Fedora Update System 2018-02-19 16:41:10 EST
pcp-4.0.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e29ed8f6d
Comment 10 Fedora Update System 2018-02-20 12:49:50 EST
pcp-4.0.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e29ed8f6d
Comment 11 Fedora Update System 2018-02-20 13:18:22 EST
pcp-4.0.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-84c14418ef
Comment 12 Fedora Update System 2018-02-27 11:55:56 EST
pcp-4.0.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2018-02-27 12:21:04 EST
pcp-4.0.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.